
CoCoA-5 - Bug #594

CharPoly(MAT) and MinPoly(MAT) work in different settings: unify behaviaour

22 Jul 2014 12:46 - Anna Maria Bigatti

Status: Closed Start date: 22 Jul 2014

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Incomplete function Estimated time: 2.50 hours

Target version: CoCoA-5.1.1 Seoul14 Spent time: 2.10 hours

Description

They should both work both with M in K or in Kx (but not dependent on x)

/**/ K := NewFractionField(NewPolyRing(QQ, ["a"]));

/**/ Use R ::= K[x];

/**/ MinPoly(matrix([[0,0,a],[0,0,0],[0,0,0]]), x);

x^2

/**/  Use QQ[x,a];

/**/  MinPoly(matrix([[0,0,a],[0,0,0],[0,0,0]]), x);

x^2

Related issues:

Related to CoCoALib - Feature #848: Implement MinPoly in CoCoALib Closed 22 Mar 2016

History

#1 - 22 Jul 2014 15:59 - Anna Maria Bigatti

- Category set to Incomplete function

- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoA-5.1.1 Seoul14

- % Done changed from 0 to 90

- Estimated time set to 2.50 h

all done (also documented)

#2 - 02 Sep 2014 11:03 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#3 - 22 Mar 2016 16:44 - Anna Maria Bigatti

- Related to Feature #848: Implement MinPoly in CoCoALib added
